﻿<!DOCTYPE html>
<html lang='en-gb'>
	<head>
		<title>User profile page</title>
		<meta charset='utf-8'/>
		<meta name='viewport' content='width=device-width, initial-scale=1'/>
		<link rel='icon' href='https://www.spain-internship.com/templates/uber/favicon.ico'/>
		
		<link rel='stylesheet' href='https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css'/>
		<link rel="stylesheet" href="https://cdn.datatables.net/1.10.15/css/dataTables.bootstrap.min.css"/>

		<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

		<link rel='stylesheet' href='styles/style.css'/>
	</head>
	<body>
		<header id="mainHeader" class='navbar navbar-default'>
			<div class='container-fluid'>
				<div class='navbar-header'>
					<a href='#' id='logo'><img id="logoPic" src='https://www.spain-internship.com/images/joomlart/university/misc/logo.png'></a>
					<button type='button' class='navbar-toggle' data-toggle='collapse' data-target='#myNavbar'>
						<span class='icon-bar'></span>
						<span class='icon-bar'></span>
						<span class='icon-bar'></span>
					</button>
				</div>
				<div class='collapse navbar-collapse navbar-right' id='myNavbar'>
					<ul class='nav navbar-nav'>
						<li class="dropdown">
							<button class="btn-link" id='user' data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
								<p class='imageBack smallArrowDown'>
									<img class='img-responsive' src='images/avatar.jpg' />
								</p>
							</button>
							<span class="badge badge-notify">2</span>
							<div class="dropdown-menu dropdown-menu-right" aria-labelledby="user">
								<a class="dropdown-item" href="../../userPage/index.html">Profile</a>
								<a class="dropdown-item" href="../../dashboard/index.html">(Dashboard)</a>
								<a class="dropdown-item" href="../../index.html">(Something else)</a>
								<a class="dropdown-item logout" href="../../landingPage/index.html">Log out <span class="glyphicon glyphicon-log-out"></span></a>
							</div>
						</li>
					</ul>
				</div>
			</div>
		</header>
		
		<article class="container">
			<div class="row profile">
				<div class="col-md-3">
					<div class="profile-sidebar">
						<!-- SIDEBAR USERPIC -->
						<div class="profile-userpic">
							<img src="images/avatar.jpg" class="img-responsive" alt="">
						</div>
						<!-- END SIDEBAR USERPIC -->
						<!-- SIDEBAR USER TITLE -->
						<div class="profile-usertitle">
							<div class="profile-usertitle-name">
								Mikko Timofeev
							</div>
							<div class="profile-usertitle-job">
								Developer
							</div>
						</div>
						<!-- END SIDEBAR USER TITLE -->
						<!-- SIDEBAR MENU -->
						<div class="profile-usermenu">
							<ul class="nav">
								<li>
									<a id="link_news" href="#news" class="chosableLink active">
										<i class="glyphicon glyphicon-home"></i>
										News and pending
									</a>
									<span class="badge badge-notify">2</span>
								</li>
								<li>
									<a id="link_profile" href="#profile" class="chosableLink">
										<i class="glyphicon glyphicon-user"></i>
										Profile
									</a>
								</li>
								<li>
									<a id="link_myApplications" href="#myApplications" class="chosableLink">
										<i class="glyphicon glyphicon-ok"></i>
										My applications
									</a>
								</li>
								<li>
									<a id="link_help" href="#help" class="chosableLink">
										<i class="glyphicon glyphicon-flag"></i>
										Help
									</a>
								</li>
							</ul>
						</div>
						<!-- END MENU -->
					</div>
				</div>
				<div class="col-md-9">
					<input type="hidden" class="chosenLink"/>
					<div id="tab_news" class="profile-content">
						<h2>News' log</h2>
						<ul>
							<li>
								2017-06-16 13:17 | You applied vacancy: Customer service and administration in a surf club in Barcelona
							</li>
							<li>
								2017-06-16 13:06 | You created your profile
							</li>
						</ul>
						<h2>Pending actions</h2>
						<ul>
							<li>
								2017-06-19 13:36 | Position approval waiting (2)
							</li>
							<li>
								2017-06-18 12:06 | Position approval waiting (1)
							</li>
						</ul>
					</div>
					<div id="tab_profile" class="profile-content">
						<h2>Profile settings (this should be replaced)</h2>
						<!--<form>
							<table>
								<tr>
									<td>Name</td>
									<td>
										<input type="text" name="name" value="Mikko" placeholder="Your name" required/>
									</td>
								</tr>
								<tr>
									<td>Surname</td>
									<td><input type="text" name="name" value="Timofeev" placeholder="Your surname" required /></td>
								</tr>
								<tr>
									<td>Email</td>
									<td><input type="email" value="abracadabra@gmail.com" placeholder="example@mail.com" required/></td>
								</tr>
								<tr>
									<td>Area</td>
									<td><select multiple required>
										<option selected>
											Accounting
										</option>
										<option>
											(parsed from server 1)
										</option>
										<option>
											(parsed from server 2)
										</option>
										<option>
											(parsed from server 3)
										</option>
										<option>
											(parsed from server N)
										</option>
									</select></td>
								</tr>
								<tr>
									<td>CV</td>
									<td><input type="file" value="Update CV" /></td>
								</tr>
								<tr>
									<td></td>
									<td>...</td>
								</tr>
								<tr>
									<td></td>
									<td><input type="submit" value="Save" /></td>
								</tr>
							</table>
						</form>-->
						(empty)
					</div>
					<div id="tab_myApplications" class="profile-content">
						<input type="checkbox" id="show_proposed" checked/><input type="checkbox" id="show_pending" checked/><input type="checkbox" id="show_declined" checked/>
						<h2>
							List of internships
							<span><label id="label_proposed" for="show_proposed" title="Show proposed internships"><i class="fa fa-check-circle"></i></label>|<label id="label_pending" for="show_pending" title="Show pending internships"><i class="fa fa-question-circle"></i></label>|<label id="label_declined" for="show_declined" title="Show declined internships"><i class="fa fa-minus-circle"></i></label></span>
						</h2>
						<ol class="vacancies">
							<li class="proposed">
								<h3>
									Accepted job in Barcelona
								</h3>
								<div class="jobInfo">

									<p>
										<i class="fa fa-suitcase"></i>
										Tourism, Business Administration, Customer Relationship Management, Customer Service
									</p>

									<p>
										<i class="fa fa-money"></i>
										200-300 €
									
										<i class="fa fa-map-marker"></i>
										Barcelona
									</p>

									<p>
										<a><i class="fa fa-info-circle"></i>Info</a>
										<b><i class="fa fa-check-circle"></i>Proposed</b>
										
									</p>
								</div>
							</li>
							<li class="pending">
								<h3>
									Some pending job in Madrid
								</h3>
								<div class="jobInfo">
										
									<p>
										<i class="fa fa-suitcase"></i>
										Tourism, Business Administration, Customer Relationship Management, Customer Service
									</p>
										
									<p>
										<i class="fa fa-money"></i>
										250-380 €
									
										<i class="fa fa-map-marker"></i>
										Madrid
									</p>

									<p>
										<a><i class="fa fa-info-circle"></i>Info</a>
										<b><i class="fa fa-question-circle"></i>Pending</b>
										
									</p>
								</div>
							</li>

							<li class="declined">
								<h3>
									Declined job in Madrid
								</h3>
								<div class="jobInfo">
										
									<p>
										<i class="fa fa-suitcase"></i>
										Tourism, Business Administration, Customer Relationship Management, Customer Service
									</p>
										
									<p>
										<i class="fa fa-money"></i>
										250-380 €
									
										<i class="fa fa-map-marker"></i>
										Madrid
									</p>

									<p>
										<a><i class="fa fa-info-circle"></i>Info</a>
										<b><i class="fa fa-minus-circle"></i>Declined</b>
										
									</p>
								</div>
							</li>

							<li class="declined">
								<h3>
									Another declined job in Madrid
								</h3>
								<div class="jobInfo">
										
									<p>
										<i class="fa fa-suitcase"></i>
										Tourism, Business Administration, Customer Relationship Management, Customer Service
									</p>
										
									<p>
										<i class="fa fa-money"></i>
										250-380 €
									
										<i class="fa fa-map-marker"></i>
										Madrid
									</p>

									<p>
										<a><i class="fa fa-info-circle"></i>Info</a>
										<b><i class="fa fa-minus-circle"></i>Declined</b>
									</p>
								</div>
							</li>

							<li class="pending">
								<h3>
									Customer service and administration in a surf club in Madrid
								</h3>
								<div class="jobInfo">
										
									<p>
										<i class="fa fa-suitcase"></i>
										Tourism, Business Administration, Customer Relationship Management, Customer Service
									</p>
										
									<p>
										<i class="fa fa-money"></i>
										250-380 €
									
										<i class="fa fa-map-marker"></i>
										Madrid
									</p>

									<p>
										<a><i class="fa fa-info-circle"></i>Info</a>
										<b><i class="fa fa-question-circle"></i>Pending</b>
										
									</p>
								</div>
							</li>
						</ol>
						<p id="theEnd">
							<i>Nothing more to show...</i>
						</p>
					</div>
					<div id="tab_help" class="profile-content">
						<h2>Ask the question - get the answer</h2>
						<form>
							<textarea class="form-control" required></textarea>
							<br/>
							<input type="submit" value="Ask"/>
						</form>
					</div>
				</div>
			</div>
		</article>

		<script src='https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js'></script>
		<script src='https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js'></script>
		<script src="https://cdn.datatables.net/1.10.15/js/jquery.dataTables.js"></script>

		<script src='scripts/script.js'></script>
	</body>
</html>